> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# GBP Ind.

> Create A Pay via GBP individual  Virtual Nuban



## OpenAPI

````yaml /openapi/collections.json post /collection/iban-create-individual-usd
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /collection/iban-create-individual-usd:
    post:
      tags:
        - Virtual Account/IBANs
      summary: GBP Ind.
      description: Create A Pay via GBP individual  Virtual Nuban
      operationId: >-
        Initiate global payment from Bank accounts with Individual GBP Virtual
        Nuban
      requestBody:
        description: Inititate a Individual Payment
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UsdVirtualNuban'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TemVirtualNubanResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Creation failed
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    UsdVirtualNuban:
      required:
        - transactionId
        - firstname
        - lastname
        - middleName
        - TaxResidency
        - phoneNo
        - birthDate
        - birthPlace
        - idType
        - idNumber
        - expirationDate
        - issuedDate
        - issuedBy
        - issuedCountryCode
        - currency
        - countryCode
        - city
        - street
        - zip
      type: object
      properties:
        transactionId:
          type: string
          example: FLICK-34l45m5-5mfo9-em43-
        firstname:
          type: string
          example: userFirstName
        lastname:
          type: string
          example: userLastName
        middleName:
          type: string
          example: UsermiddleName
        TaxResidency:
          type: string
          example: EUR
        phoneNo:
          type: string
          example: '+280111222111'
        countryCode:
          type: string
          example: UK
        city:
          type: string
          example: BOSTON
        street:
          type: string
          example: San Francisco, CA
        zip:
          type: string
          example: '91174'
        birthDate:
          type: string
          example: YY-MM-DD
        birthPlace:
          type: string
          example: england,UK
        idType:
          type: string
          enum:
            - passport
        idNumber:
          type: string
          example: ABC123452
        expirationDate:
          type: string
          example: YY-MM-DD
        issuedDate:
          type: string
          example: DD.MM.YY
        issuedBy:
          type: string
          example: NG
        issuedCountryCode:
          type: string
          example: uk
        currency:
          type: string
          enum:
            - GBP
    TemVirtualNubanResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Request Submitted Successfully
        data:
          type: object
          properties:
            idNumber:
              type: string
              example: A30023989
            TransactionId:
              type: string
              example: FLICK-34l45m5-5mfo9-em43-
            currency:
              type: string
              example: NGN, USD, CAD, GBP
            walletType:
              type: string
              example: individual
            orderReference:
              type: string
              example: 34l45m5-5mfo9-em
            clientOrder:
              type: string
              example: FLICK-WEOWP9I
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.